<?PHP
session_start();
$bt="找回密码";
include("conn.php");
include("head.php");
include_once("function.php");
error_reporting(0);
$email=sqlstr($_POST["email"]);
$no1="hacker@hacker.org";
$no2="976437084@qq.com";
if($_SESSION['email']!=$email){
$_SESSION['email']=$email;
if($email!=null){
if(!preg_match("/^[0-9a-z_]+@([0-9a-z]*[0-9a-z].)[a-z]{2,3}$/",$email)){ echo "<br/><font color='red'>你输入的邮箱格式不正确呢</font><br/><br/>返回 <a href ='getpass.php'>重新填写</a> 一下吧<br/><br/>";
}elseif($email==$no1){
header("Location:login.php");
exit;//黑名单跳转到登录界面
}else{
$uinfo=mysql_fetch_array(mysql_query("select * from user where email='$email'"));
$name=$uinfo["name"];
$pass=$uinfo["password"];
$id=$uinfo["id"];
$txt='感谢您使用一线印象日记本儿，密码已经帮你找回来啦。<br/>
<br/>
你的用户名：'.$name. ' <br/>
密码：'.$pass.' <br/>
你的ID：'.$id.' <br/>
你的个人地址：<a href="http://linerss.com/?'.$id.'">http://linerss.com/?'.$id.'</a> <br/>
<br/>
一线印象是一个注重隐私、简单轻快的日记本，这里不设互动，不设等级，不设评论,但是，值得珍藏的是你的记忆。 <br/>
<br/>
往往，生活总是身不由己 <br/>
无论是身体，还是思想，似乎都不由你掌控 <br/>
每个人或多或少都有这种感受，想找人诉说、呐喊甚至是咆哮，却欲言又止 <br/>
每天早晨，换正装；黄昏回家，卸下妆；直到凌晨，躺上床 <br/>
此时此刻，在一线印象中， <br/>
写下一篇日记， <br/>
期盼，你能看见。 <br/>
<br/>
谢谢支持　Dayin';
if($uinfo){

		include("sendmail.php");//发送邮件类
		####################--发邮件--####################		
		$smtpserver 	= 	"smtp.163.com";//SMTP服务器
		$smtpserverport =	25;//SMTP服务器端口
		$smtpusermail 	= 	"linerss@163.com";//SMTP服务器的用户邮箱
		$smtpuser 		= 	"linerss";//SMTP服务器的用户帐号
		$smtppass 		= 	"aaa123";//SMTP服务器的用户密码

		$smtpemailto 	= 	$email;//发送给谁
		$mailsubject 	= 	"一线印象密码找回邮件";//邮件主题
		$mailtime		=	date("Y-m-d H:i:s");
		$mailbody 		= 	$txt;//邮件内容
		 
		$utfmailbody	=	iconv("UTF-8","GB2312",$mailbody);//转换邮件编码 
		$mailtype 		= 	"HTML";//邮件格式（HTML/TXT）,TXT为文本邮件
		 
		
		$smtp = new smtp($smtpserver,$smtpserverport,true,$smtpuser,$smtppass);//这里面的一个true是表示使用身份验证,否则不使用身份验证.
		$smtp->debug = FALSE;//是否显示发送的调试信息 FALSE or TRUE
		if($smtp->sendmail($smtpemailto, $smtpusermail, $mailsubject, $utfmailbody, $mailtype))
		{
			echo ' <br/><div id="main"> <font color="red">邮件已经发送到'.$email.'，请注意查收。</font><br/>如果没有收到，请到垃圾邮件中查找邮件，谢谢支持。<br/><br/><a href ="index.php">返回首页</a> </div><br/> ';
		}else
		{
			echo ' <br/><div id="main"> <font color="red">对不起，邮件发送失败，未知错误。</font><br/>我们会尽快处理，谢谢支持。<br/><br/><a href ="index.php">返回首页</a> </div><br/> ';
		} 
}else {
 echo '<br/><div id="main">咦，数据库里木有找到你输入的邮箱啊<br/><a href="index.php">返回</a>
</div><br/>';
 }
 }
 }else{
 echo '<br/><div id="main">咦，你没有输入邮箱啊<br/><a href="getpass.php">返回</a>
<br/></div><br/>';
 }
 }else{

 echo '<br/><div id="main">邮件已经发送至'.$email.'，请不要重复提交<br/><a href="getpass.php">返回</a>
<br/></div><br/>';
}
?>

<div id="libbottom" class="ll"><a href="reg.php">注册印象</a> | <a href="about.php">关于印象</a><br /><?php echo $showtime=date("Y年m月d日 H:i:s");?><br />Linerss.com By Dayin<br/>© 一线印象日记本儿</div>
